# Class GenotypeConcordanceContingencyMetrics

java.lang.Object
htsjdk.samtools.metrics.MetricBase
picard.vcf.GenotypeConcordanceContingencyMetrics

@DocumentedFeature(groupName="Metrics", summary="Metrics") public class GenotypeConcordanceContingencyMetrics extends htsjdk.samtools.metrics.MetricBase
Class that holds metrics about the Genotype Concordance contingency tables.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`CALL_SAMPLE`
The name of the 'call' sample
`long`
`EMPTY_COUNT`
The empty (no contingency info) count across all variants
`long`
`FN_COUNT`
The FN (false negative) count across all variants
`long`
`FP_COUNT`
The FP (false positive) count across all variants
`long`
`TN_COUNT`
The TN (true negative) count across all variants
`long`
`TP_COUNT`
The TP (true positive) count across all variants
`String`
`TRUTH_SAMPLE`
The name of the 'truth' sample
`htsjdk.variant.variantcontext.VariantContext.Type`
`VARIANT_TYPE`
The type of the event (i.e.

## Constructor Summary

Constructors
Constructor
Description
`GenotypeConcordanceContingencyMetrics()`
Empty constructor - needed for unit tests
`GenotypeConcordanceContingencyMetrics(htsjdk.variant.variantcontext.VariantContext.Type variantType, GenotypeConcordanceCounts concordanceCounts, String truthSample, String callSample, boolean missingSitesFlag)`

## Method Summary

### Methods inherited from class htsjdk.samtools.metrics.MetricBase

`equals, hashCode, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### VARIANT_TYPE

public htsjdk.variant.variantcontext.VariantContext.Type VARIANT_TYPE
The type of the event (i.e. either SNP or INDEL)

### TRUTH_SAMPLE

public String TRUTH_SAMPLE
The name of the 'truth' sample

### CALL_SAMPLE

public String CALL_SAMPLE
The name of the 'call' sample

### TP_COUNT

public long TP_COUNT
The TP (true positive) count across all variants

### TN_COUNT

public long TN_COUNT
The TN (true negative) count across all variants

### FP_COUNT

public long FP_COUNT
The FP (false positive) count across all variants

### FN_COUNT

public long FN_COUNT
The FN (false negative) count across all variants

### EMPTY_COUNT

public long EMPTY_COUNT
The empty (no contingency info) count across all variants

## Constructor Details

### GenotypeConcordanceContingencyMetrics

public GenotypeConcordanceContingencyMetrics()
Empty constructor - needed for unit tests

### GenotypeConcordanceContingencyMetrics

public GenotypeConcordanceContingencyMetrics(htsjdk.variant.variantcontext.VariantContext.Type variantType, GenotypeConcordanceCounts concordanceCounts, String truthSample, String callSample, boolean missingSitesFlag)